#pragma once

#include "../message_reporter.h"
#include <yandex/maps/wiki/diffalert/diff_context.h>

namespace maps {
namespace wiki {
namespace diffalert {

void checkMasstransitOperatorCreatedOrDeleted(const DiffContext&, MessageReporter&);
void checkMasstransitNotOperatingChange(const DiffContext&, MessageReporter&);
void checkMasstransitRouteOfficialNameChange(const DiffContext&, MessageReporter&);
void checkMasstransitRouteSchedule(const DiffContext& diffContext, MessageReporter& messages);
void checkMasstransitRouteWithThreadsModified(const DiffContext& diffContext, MessageReporter& messages);
void checkMasstransitStopSignificantMove(const DiffContext& diffContext, MessageReporter& messages);
void checkMasstransitRouteThreadsCount(const DiffContext& diffContext, MessageReporter& messages);
void checkMasstransitOperatorRoutesCount(const DiffContext& diffContext, MessageReporter& messages);
void checkMasstransitTransportStopWaiypointFlagChange(const DiffContext& diffContext, MessageReporter& messages);
void checkMasstransitThreadCompositionChange(const DiffContext& diffContext, MessageReporter& messages);

} // namespace diffalert
} // namespace wiki
} // namespace maps
